Skip to main content
POST
/
account
/
{accountId}
/
intent
/
{intentId}
/
submit
Submit transaction hashes
curl --request POST \
  --url https://api.portal.blend.money/sdk/account/{accountId}/intent/{intentId}/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Publishable-Key: <api-key>' \
  --data '
{
  "txHashes": [
    {
      "hash": "<string>",
      "chainId": 8453
    }
  ]
}
'
{
  "status": "success",
  "data": {
    "intentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "OPEN",
    "expiresAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "txHashes": [
      "<string>"
    ],
    "chainIds": [
      8453
    ],
    "type": "DEPOSIT",
    "externalRef": "<string>",
    "requestParams": {},
    "quoteSummary": {},
    "lockedAt": "2023-11-07T05:31:56Z",
    "lockedBy": "0x1111111111111111111111111111111111111111",
    "settledAt": "2023-11-07T05:31:56Z",
    "errorMessage": "<string>",
    "payload": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.blend.money/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Publishable-Key
string
header
required

Client-safe Account Type key, for example pk_live_....

Authorization
string
header
required

SIWE session token returned by /auth/verify.

Path Parameters

accountId
string<uuid>
required
intentId
string<uuid>
required

Body

application/json
txHashes
object[]
required
Required array length: 1 - 20 elements

Response

Submitted session

status
enum<string>
required
Available options:
success
data
object
Last modified on May 5, 2026